SrcDir='ExampleFiles/';

fprintf('Pulling Discretes...\n');
Filename=dir([SrcDir,'UnformattedFiles/*.csv']);
DIndx=load([SrcDir,'UnformattedFiles/DiscreteIndex.dat']);
for i=1:length(Filename)
   [header,tmp]=readUnformatedFiles([SrcDir,'UnformattedFiles/',Filename(i).name]);
   tmpD=tmp(:,DIndx);
   csvwrite([SrcDir,'DiscreteOnly/',Filename(i).name],tmpD);
end

fprintf('Making On Off...\n');
Filename=dir([SrcDir,'DiscreteOnly/*.csv']);
for i=1:length(Filename)
   tmp=load([SrcDir,'DiscreteOnly/',Filename(i).name]); 
   tmpDiff=diff(tmp);
   csvwrite([SrcDir,'OnOffTransitions/',Filename(i).name],tmpDiff);
end

fprintf('Replacing with Ints...\n');
Filename=dir([SrcDir,'OnOffTransitions/*.csv']);
for i=1:length(Filename)
   tmp=load([SrcDir,'OnOffTransitions/',Filename(i).name]); 
   tmpAlph=zeros(size(tmp));
   for j=1:size(tmp,2)
      [ii]=find(tmp(:,j)==1);
      tmpAlph(ii,j)=(j-1)*2+1;
      [ii]=find(tmp(:,j)==-1);
      tmpAlph(ii,j)=(j-1)*2+2;
   end
   csvwrite([SrcDir,'ReplacedWithIntegers/',Filename(i).name],tmpAlph);
end

fprintf('Formating Seq...\n');
Filename=dir([SrcDir,'ReplacedWithIntegers/*.csv']);
for i=1:length(Filename)
   tmp=load([SrcDir,'ReplacedWithIntegers/',Filename(i).name]); 
   tmpV=reshape(tmp',1,size(tmp,1)*size(tmp,2));
   indx=find(tmpV~=0);
   tmpSeq=tmpV(indx);
   csvwrite([SrcDir,'Sequences/',Filename(i).name(1:end-3),'seq'],tmpSeq');
end

fprintf('Create SQM File...\n');
Filename=dir([SrcDir,'Sequences/*.seq']);
fid=fopen([SrcDir,'SQMFile/AllSeq.sqm'],'w');
for i=1:length(Filename)
    tmp=load([SrcDir,'Sequences/',Filename(i).name])';
    fprintf(fid,'%s\n',num2str(tmp));
end
fclose(fid);
