function [header,C2]=readUnformatedFiles(fileName)

%
%
% [header,C]=readDNFA_CSV(fileName,DataIsString)
%
%
% Input:
%--------------------------------------------------------------------------
% fileName:     DNFA format csv file name. Output assumed from FFDReader.
%               
% Output:
%--------------------------------------------------------------------------
% header:       Cell array of channel names for each column. 
% C:            Data matrix where columns are the channels and times is
%               down the rows.
%
%


fid=fopen(fileName,'r');
fseek(fid,0,1);
EOF=ftell(fid);
frewind(fid);
C=fread(fid, EOF, 'uint8=>char')';
fclose(fid);

%%% Retrieve Header Info %%%
indx=[0,regexp(C,'[^\n]\n','end')];
headerTmp=C(indx(1)+1:indx(2)-1);
commaIndx=[0,findstr(headerTmp,','),length(headerTmp)+1];
for i=1:length(commaIndx)-1
    header{i}=headerTmp(commaIndx(i)+1:commaIndx(i+1)-1);
end

%%% Find replace missing values with NaNs%%%
C=strrep(C,'NULL','NaN');
C=strrep(C,'-9999','NaN');
C=strrep(C,'***','NaN');
C=strrep(C,',',' ');

%%% Convert to numbers by row %%%
indx=[0,regexp(C,'[^\n]\n','end')];
C2=zeros(length(indx)-2,60);
for i=1:length(indx)-2
    C2(i,:)=str2num(C(indx(i+1):indx(i+2)-1));
end




